
import random
import time
import sys
from termcolor import colored

# 显示随机颜色的文字
def display_random_color_text(text):
    colors = ['red', 'green', 'yellow', 'blue', 'magenta', 'cyan', 'white']
    for char in text:
        color = random.choice(colors)
        print(colored(char, color), end='', flush=True)
    print()

# 获取用户输入的11位手机号
def get_phone_number():
    while True:
        phone_number = input("请输入11位手机号: ")
        if len(phone_number) == 11 and phone_number.isdigit():
            return phone_number
        print("输入的手机号格式不正确，请输入11位数字。")

# 显示进度条
def display_progress_bar(seconds, bar_name):
    total = seconds * 10
    for i in range(total + 1):
        progress = i / total
        bar_length = 50
        filled_length = int(bar_length * progress)
        bar = '#' * filled_length + '-' * (bar_length - filled_length)
        percent = progress * 100
        sys.stdout.write(f'\r{bar_name}: [{bar}] {percent:.1f}%')
        sys.stdout.flush()
        time.sleep(0.1)
    print()

# 主函数
def main():
    # 显示随机颜色文字
    display_random_color_text("小五制作 倒卖死妈")
    # 获取手机号
    phone_number = get_phone_number()
    # 显示进度条
    display_progress_bar(5, "公安查询中")
    # 等待两秒
    time.sleep(2)
    # 显示手机号
    print(f"手机号是: {phone_number}")
    # 显示查询成功
    print("查询成功")

if __name__ == "__main__":
    main()


# 功能说明：该代码实现了显示随机颜色文字、获取用户输入的11位手机号、显示五秒进度条、等待两秒后返回用户输入的手机号并显示查询成功的功能。潜在改进建议可以增加对手机号的真实性验证，以及进度条可以更美观和灵活。
# 运行说明：此代码在 Python 3.11.4 环境下运行，需要安装 termcolor 库，可使用 pip install termcolor 进行安装。 